import { Description } from "./Description";
import { ToolContextBindingDescription } from "./ToolContextBindingDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class ToolActionDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private i;
    get contextBindings(): ToolContextBindingDescription[];
    set contextBindings(a: ToolContextBindingDescription[]);
    private h;
    get actions(): ToolActionDescription[];
    set actions(a: ToolActionDescription[]);
    private at;
    get width(): number;
    set width(a: number);
    private ae;
    get height(): number;
    set height(a: number);
    private bj;
    get subPanelRowHeight(): number;
    set subPanelRowHeight(a: number);
    private cf;
    get parentId(): string;
    set parentId(a: string);
    private by;
    get beforeId(): string;
    set beforeId(a: string);
    private bw;
    get afterId(): string;
    set afterId(a: string);
    private ce;
    get overlayId(): string;
    set overlayId(a: string);
    private b0;
    get commandId(): string;
    set commandId(a: string);
    private bz;
    get commandArgument(): string;
    set commandArgument(a: string);
    private bl;
    get commandArgumentValue(): any;
    set commandArgumentValue(a: any);
    private ap;
    get paddingLeft(): number;
    set paddingLeft(a: number);
    private aa;
    get actualPaddingLeft(): number;
    set actualPaddingLeft(a: number);
    private aq;
    get paddingRight(): number;
    set paddingRight(a: number);
    private ab;
    get actualPaddingRight(): number;
    set actualPaddingRight(a: number);
    private ao;
    get paddingBottom(): number;
    set paddingBottom(a: number);
    private z;
    get actualPaddingBottom(): number;
    set actualPaddingBottom(a: number);
    private ar;
    get paddingTop(): number;
    set paddingTop(a: number);
    private ac;
    get actualPaddingTop(): number;
    set actualPaddingTop(a: number);
    private br;
    get actualHoverBackground(): string;
    set actualHoverBackground(a: string);
    private b7;
    get hoverBackground(): string;
    set hoverBackground(a: string);
    private bn;
    get actualBackground(): string;
    set actualBackground(a: string);
    private bx;
    get background(): string;
    set background(a: string);
    private bv;
    get actualTextColor(): string;
    set actualTextColor(a: string);
    private cm;
    get textColor(): string;
    set textColor(a: string);
    private bu;
    get actualSubtitleTextColor(): string;
    set actualSubtitleTextColor(a: string);
    private cl;
    get subtitleTextColor(): string;
    set subtitleTextColor(a: string);
    private bp;
    get actualDisabledTextColor(): string;
    set actualDisabledTextColor(a: string);
    private b2;
    get disabledTextColor(): string;
    set disabledTextColor(a: string);
    private b3;
    get fontFamily(): string;
    set fontFamily(a: string);
    private ad;
    get fontSize(): number;
    set fontSize(a: number);
    private b4;
    get fontStyle(): string;
    set fontStyle(a: string);
    private b5;
    get fontWeight(): string;
    set fontWeight(a: string);
    private ci;
    get subtitleFontFamily(): string;
    set subtitleFontFamily(a: string);
    private as;
    get subtitleFontSize(): number;
    set subtitleFontSize(a: number);
    private cj;
    get subtitleFontStyle(): string;
    set subtitleFontStyle(a: string);
    private ck;
    get subtitleFontWeight(): string;
    set subtitleFontWeight(a: string);
    private q;
    get isDisabled(): boolean;
    set isDisabled(a: boolean);
    private r;
    get isHighlighted(): boolean;
    set isHighlighted(a: boolean);
    private b1;
    get density(): string;
    set density(a: string);
    private bo;
    get actualDensity(): string;
    set actualDensity(a: string);
    private cc;
    get name(): string;
    set name(a: string);
    private cn;
    get title(): string;
    set title(a: string);
    private ch;
    get subtitle(): string;
    set subtitle(a: string);
    private co;
    get titleHorizontalAlignment(): string;
    set titleHorizontalAlignment(a: string);
    private ca;
    get iconName(): string;
    set iconName(a: string);
    private b8;
    get iconCollectionName(): string;
    set iconCollectionName(a: string);
    private ak;
    get iconViewBoxLeft(): number;
    set iconViewBoxLeft(a: number);
    private al;
    get iconViewBoxTop(): number;
    set iconViewBoxTop(a: number);
    private am;
    get iconViewBoxWidth(): number;
    set iconViewBoxWidth(a: number);
    private aj;
    get iconViewBoxHeight(): number;
    set iconViewBoxHeight(a: number);
    private b9;
    get iconFill(): string;
    set iconFill(a: string);
    private bs;
    get actualIconFill(): string;
    set actualIconFill(a: string);
    private j;
    get iconFillColors(): string[];
    set iconFillColors(a: string[]);
    private cb;
    get iconStroke(): string;
    set iconStroke(a: string);
    private bt;
    get actualIconStroke(): string;
    set actualIconStroke(a: string);
    private k;
    get iconStrokeColors(): string[];
    set iconStrokeColors(a: string[]);
    private ai;
    get iconStrokeWidth(): number;
    set iconStrokeWidth(a: number);
    private an;
    get iconWidth(): number;
    set iconWidth(a: number);
    private y;
    get actualIconWidth(): number;
    set actualIconWidth(a: number);
    private ah;
    get iconHeight(): number;
    set iconHeight(a: number);
    private x;
    get actualIconHeight(): number;
    set actualIconHeight(a: number);
    private cp;
    get visibility(): string;
    set visibility(a: string);
    private p;
    get closeOnExecute(): boolean;
    set closeOnExecute(a: boolean);
    private ag;
    get highlightWidth(): number;
    set highlightWidth(a: number);
    private w;
    get actualHighlightWidth(): number;
    set actualHighlightWidth(a: number);
    private af;
    get highlightRadius(): number;
    set highlightRadius(a: number);
    private v;
    get actualHighlightRadius(): number;
    set actualHighlightRadius(a: number);
    private b6;
    get highlightColor(): string;
    set highlightColor(a: string);
    private bq;
    get actualHighlightColor(): string;
    set actualHighlightColor(a: string);
    private cd;
    get onCommandRef(): string;
    set onCommandRef(a: string);
    private cg;
    get performedRef(): string;
    set performedRef(a: string);
}
